Bug 1358472 - [abrt] usb_modeswitch: list_del(): usb_modeswitch killed by SIGSEGV
Summary: [abrt] usb_modeswitch: list_del(): usb_modeswitch killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: usb_modeswitch
Version: 7.3
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lubomir Rintel
QA Contact: Desktop QE
URL:
Whiteboard: abrt_hash:31d9e04f1bbaf1079bdd077c2c4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-20 19:04 UTC by Lubomir Rintel
Modified: 2016-11-04 08:32 UTC (History)
4 users (show)

Fixed In Version: usb_modeswitch-2.4.0-2.el7.x86_64
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 08:32:50 UTC
Target Upstream Version:


Attachments (Terms of Use)
File: backtrace (14.42 KB, text/plain)
2016-07-20 19:04 UTC, Lubomir Rintel
no flags Details
File: cgroup (197 bytes, text/plain)
2016-07-20 19:04 UTC, Lubomir Rintel
no flags Details
File: core_backtrace (2.13 KB, text/plain)
2016-07-20 19:04 UTC, Lubomir Rintel
no flags Details
File: dso_list (1.37 KB, text/plain)
2016-07-20 19:04 UTC, Lubomir Rintel
no flags Details
File: environ (4.15 KB, text/plain)
2016-07-20 19:04 UTC, Lubomir Rintel
no flags Details
File: limits (1.29 KB, text/plain)
2016-07-20 19:04 UTC, Lubomir Rintel
no flags Details
File: machineid (135 bytes, text/plain)
2016-07-20 19:04 UTC, Lubomir Rintel
no flags Details
File: maps (7.10 KB, text/plain)
2016-07-20 19:04 UTC, Lubomir Rintel
no flags Details
File: open_fds (138 bytes, text/plain)
2016-07-20 19:04 UTC, Lubomir Rintel
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2016-07-20 19:04 UTC, Lubomir Rintel
no flags Details
File: var_log_messages (1.31 KB, text/plain)
2016-07-20 19:04 UTC, Lubomir Rintel
no flags Details
File: sosreport.tar.xz (7.73 MB, application/octet-stream)
2016-07-20 19:04 UTC, Lubomir Rintel
no flags Details
Fix (752 bytes, text/plain)
2016-07-20 19:16 UTC, Lubomir Rintel
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2556 0 normal SHIPPED_LIVE ModemManager bug fix and enhancement update 2016-11-03 14:21:30 UTC

Description Lubomir Rintel 2016-07-20 19:04:12 UTC
Description of problem:
Nonexistent rule file name.

Version-Release number of selected component:
usb_modeswitch-2.4.0-1.el7

Additional info:
reporter:       libreport-2.1.11.1
backtrace_rating: 4
cmdline:        usb_modeswitch -W -v 0x0af0 -p 0xd033 -c /nonexistent
crash_function: list_del
executable:     /usr/sbin/usb_modeswitch
global_pid:     2784
kernel:         3.10.0-458.el7.x86_64
pkg_vendor:     Red Hat, Inc.
runlevel:       N 3
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 list_del at libusbi.h:137
 #1 libusb_exit at core.c:2119
 #2 close_all at usb_modeswitch.c:2024
 #3 abortExit at usb_modeswitch.c:2033
 #4 ReadParseParam at usb_modeswitch.c:1879
 #5 readConfigFile at usb_modeswitch.c:217
 #6 readArguments at usb_modeswitch.c:385

Comment 1 Lubomir Rintel 2016-07-20 19:04:17 UTC
Created attachment 1182222 [details]
File: backtrace

Comment 2 Lubomir Rintel 2016-07-20 19:04:18 UTC
Created attachment 1182223 [details]
File: cgroup

Comment 3 Lubomir Rintel 2016-07-20 19:04:19 UTC
Created attachment 1182224 [details]
File: core_backtrace

Comment 4 Lubomir Rintel 2016-07-20 19:04:20 UTC
Created attachment 1182225 [details]
File: dso_list

Comment 5 Lubomir Rintel 2016-07-20 19:04:21 UTC
Created attachment 1182226 [details]
File: environ

Comment 6 Lubomir Rintel 2016-07-20 19:04:22 UTC
Created attachment 1182227 [details]
File: limits

Comment 7 Lubomir Rintel 2016-07-20 19:04:23 UTC
Created attachment 1182228 [details]
File: machineid

Comment 8 Lubomir Rintel 2016-07-20 19:04:24 UTC
Created attachment 1182229 [details]
File: maps

Comment 9 Lubomir Rintel 2016-07-20 19:04:25 UTC
Created attachment 1182230 [details]
File: open_fds

Comment 10 Lubomir Rintel 2016-07-20 19:04:26 UTC
Created attachment 1182231 [details]
File: proc_pid_status

Comment 11 Lubomir Rintel 2016-07-20 19:04:28 UTC
Created attachment 1182232 [details]
File: var_log_messages

Comment 12 Lubomir Rintel 2016-07-20 19:04:44 UTC
Created attachment 1182233 [details]
File: sosreport.tar.xz

Comment 13 Lubomir Rintel 2016-07-20 19:16:03 UTC
Created attachment 1182236 [details]
Fix

Comment 17 Vladimir Benes 2016-09-21 13:30:11 UTC
no more crashes

Comment 19 errata-xmlrpc 2016-11-04 08:32:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2556.html


Note You need to log in before you can comment on or make changes to this bug.